%bcond_without check

%global goipath         github.com/posener/complete
Version:                1.2.3

%gometa

%global common_description %{expand:
Package Complete provides a tool for bash writing bash completion in go, and
bash completion for the go command line.

Writing bash completion scripts is a hard work. This package provides an easy
way to create bash completion scripts for any command, and also an easy way to
install/uninstall the completion of the command.}

%global golicenses      LICENSE.txt
%global godocs          example README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Bash completion written in go + bash completion for Go command

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/hashicorp/go-multierror)

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in gocomplete; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-1
- initial build
